<div class="authentication-wrapper authentication-2 ui-bg-cover ui-bg-overlay-container px-4 resetPass" style="background-image: url('assets/imgs/hx_bg.svg');">
  <div class="ui-bg-overlay bg-dark opacity-25"></div>

  <div class="col-md-6 py-5" *ngIf="isfreshReg">

    <div class="card">
      <div class="p-4 px-sm-4 pt-sm-4" style="padding:35px 40px 40px !important">
        <!-- Logo -->
        <div class="d-flex justify-content-center align-items-center pb-2 mb-4">
            <div class="w-100 position-relative text-center mt-2">
              <!-- <svg class="w-100 h-100 position-absolute" viewBox="0 0 148 80" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><defs><linearGradient id="a" x1="46.49" x2="62.46" y1="53.39" y2="48.2" gradientUnits="userSpaceOnUse"><stop stop-opacity=".25" offset="0"></stop><stop stop-opacity=".1" offset=".3"></stop><stop stop-opacity="0" offset=".9"></stop></linearGradient><linearGradient id="e" x1="76.9" x2="92.64" y1="26.38" y2="31.49" xlink:href="#a"></linearGradient><linearGradient id="d" x1="107.12" x2="122.74" y1="53.41" y2="48.33" xlink:href="#a"></linearGradient></defs><path class="fill-primary" transform="translate(-.1)" d="M121.36,0,104.42,45.08,88.71,3.28A5.09,5.09,0,0,0,83.93,0H64.27A5.09,5.09,0,0,0,59.5,3.28L43.79,45.08,26.85,0H.1L29.43,76.74A5.09,5.09,0,0,0,34.19,80H53.39a5.09,5.09,0,0,0,4.77-3.26L74.1,35l16,41.74A5.09,5.09,0,0,0,94.82,80h18.95a5.09,5.09,0,0,0,4.76-3.24L148.1,0Z"></path><path transform="translate(-.1)" d="M52.19,22.73l-8.4,22.35L56.51,78.94a5,5,0,0,0,1.64-2.19l7.34-19.2Z" fill="url(#a)"></path><path transform="translate(-.1)" d="M95.73,22l-7-18.69a5,5,0,0,0-1.64-2.21L74.1,35l8.33,21.79Z" fill="url(#e)"></path><path transform="translate(-.1)" d="M112.73,23l-8.31,22.12,12.66,33.7a5,5,0,0,0,1.45-2l7.3-18.93Z" fill="url(#d)"></path></svg> -->
              <img src="assets/img/logo.svg?v1.0" class="login-logo" height="40" />
            </div>
        </div>
        <!-- / Logo -->

        <h5 class="text-center text-primary font-weight-normal mb-4 WSF">User Registration</h5>

        <!-- Form -->
        <form [formGroup]="registerUser" (ngSubmit)="fnregisterUser(registerUser.value)">
          <div class="form-row">
            <div class="form-group col-md-6">
              <label class="form-label WSF">First name</label>
              <input [formControl]="registerUser.controls['first_name']" [(ngModel)]="credentials.first_name" name="first_name" type="text" class="form-control" placeholder="First Name"
                [ngClass]="{'is-invalid':!registerUser.controls['first_name'].valid && registerUser.controls['first_name'].touched}">
              <!-- <input [formControl]="registerUser.controls['first_name']" name="firstname" type="text" class="form-control"> -->
              <div *ngIf="registerUser.controls['first_name'].hasError('required') && registerUser.controls['first_name'].touched" class="invalid-feedback">You must include a first name.</div>
              
            </div>
            <div class="form-group col-md-6">
              <label class="form-label WSF">Last name</label>
              <input [formControl]="registerUser.controls['last_name']" [(ngModel)]="credentials.last_name" name="last_name" type="text" class="form-control" placeholder="Last Name"
                [ngClass]="{'is-invalid':!registerUser.controls['last_name'].valid && registerUser.controls['last_name'].touched}">
              <div *ngIf="registerUser.controls['last_name'].hasError('required') && registerUser.controls['last_name'].touched" class="invalid-feedback">You must include a last name.</div>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group col-md-6">
              <label class="form-label WSF">Password</label>
              <input [formControl]="registerUser.controls['new_password']" [(ngModel)]="credentials.new_password" name="password" type="password" class="form-control" placeholder="Password"
              [ngClass]="{'is-invalid':!registerUser.controls['new_password'].valid && registerUser.controls['new_password'].touched}">
              <div *ngIf="registerUser.controls['new_password'].hasError('required') && registerUser.controls['new_password'].touched" class="invalid-feedback">You must enter password.</div>
              <div *ngIf="registerUser.controls['new_password'].hasError('pattern') && registerUser.controls['new_password'].touched" class="invalid-feedback">Password does not meet the security policy specified - Minimum 8 Characters - at-least one upper case , one lower case and one special character from !@#$%^&*()_</div>                
            </div>
            <div class="form-group col-md-6">
              <label class="form-label WSF">Confirm Password</label>
              <input [formControl]="registerUser.controls['confirm_password']" [(ngModel)]="confirmpassword" name="password" type="password" class="form-control" placeholder="Password"
              [ngClass]="{'is-invalid':!registerUser.controls['confirm_password'].valid && registerUser.controls['confirm_password'].touched}">
              <div *ngIf="registerUser.controls['confirm_password'].hasError('required') && registerUser.controls['confirm_password'].touched" class="invalid-feedback">You must give confirm password.</div>                
            </div>
            <div class="small mt-4 WSF" style="font-size: 12px; line-height: 17px;">Note : Password must contain at least 8 character long, with a minimum of one lower case letter, one upper case letter, one numeric character and one special character from !@#$%^&*()_</div>
          </div>
          <div class="form-row">

          </div>
          <!-- <div class="d-flex">
            <img-cropper #cropper [image]="data" [settings]="cropperSettings"></img-cropper>
            <div *ngIf="data.image" class="ml-3">
              <img [src]="data.image" [width]="cropperSettings.croppedWidth" [height]="cropperSettings.croppedHeight">
            </div>
          </div> -->

          <button [ladda]="isloading" data-style="expand-left" type="submit" class="btn mt-4 btnFix" [disabled]="!registerUser.valid">Submit</button>
          <!-- <div class="text-light small mt-4">
            By clicking "Submit", you will be register the email and password to login.
            
          </div> -->
        </form>
        <!-- / Form -->

      </div>
      <!-- <div class="card-footer py-3 px-4 px-sm-5">
        <div class="text-center text-muted">
          Already have an account?
          <a href="javascript:void(0)">Sign In</a>
        </div>
      </div> -->
    </div>
<ngb-alert [type]="alertType" (click)="isAlert=false" *ngIf="isAlert">{{alertMessage}}</ngb-alert>
    

  </div>
  <div class="col-md-4 py-5" *ngIf="!isfreshReg">

    <div class="card">
      <div class="p-4 px-sm-4 pt-sm-4">
        <!-- Logo -->
        <div class="d-flex justify-content-center align-items-center pb-2 mb-4">
          <div class="ui-w-60">
            <div class="w-100 position-relative">
              <!-- <svg class="w-100 h-100 position-absolute" viewBox="0 0 148 80" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><defs><linearGradient id="a" x1="46.49" x2="62.46" y1="53.39" y2="48.2" gradientUnits="userSpaceOnUse"><stop stop-opacity=".25" offset="0"></stop><stop stop-opacity=".1" offset=".3"></stop><stop stop-opacity="0" offset=".9"></stop></linearGradient><linearGradient id="e" x1="76.9" x2="92.64" y1="26.38" y2="31.49" xlink:href="#a"></linearGradient><linearGradient id="d" x1="107.12" x2="122.74" y1="53.41" y2="48.33" xlink:href="#a"></linearGradient></defs><path class="fill-primary" transform="translate(-.1)" d="M121.36,0,104.42,45.08,88.71,3.28A5.09,5.09,0,0,0,83.93,0H64.27A5.09,5.09,0,0,0,59.5,3.28L43.79,45.08,26.85,0H.1L29.43,76.74A5.09,5.09,0,0,0,34.19,80H53.39a5.09,5.09,0,0,0,4.77-3.26L74.1,35l16,41.74A5.09,5.09,0,0,0,94.82,80h18.95a5.09,5.09,0,0,0,4.76-3.24L148.1,0Z"></path><path transform="translate(-.1)" d="M52.19,22.73l-8.4,22.35L56.51,78.94a5,5,0,0,0,1.64-2.19l7.34-19.2Z" fill="url(#a)"></path><path transform="translate(-.1)" d="M95.73,22l-7-18.69a5,5,0,0,0-1.64-2.21L74.1,35l8.33,21.79Z" fill="url(#e)"></path><path transform="translate(-.1)" d="M112.73,23l-8.31,22.12,12.66,33.7a5,5,0,0,0,1.45-2l7.3-18.93Z" fill="url(#d)"></path></svg> -->
              <img src="assets/img/logo.png?v1.0" class="login-logo" width="60" height="60" />
            </div>
          </div>
        </div>
        <h5 class="text-center font-weight-normal mb-4">This link is expired kindly contact your web admin or go to login</h5>
      </div>
      <div class="card-footer text-center">
        <a href="javascript:void(0)" class="d-block small" (click)="navigateToLogin()">Login</a>
      </div>
    </div>
  </div>
</div>